Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354063 - [ceph-ansible]: Installation should fail or should give warning message if node has ubuntu 14.04 OS
Summary: [ceph-ansible]: Installation should fail or should give warning message if no...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Storage Console
Classification: Red Hat
Component: ceph-ansible
Version: 2
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
: 2
Assignee: Gregory Meno
QA Contact: ceph-qe-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-08 22:34 UTC by Rachana Patel
Modified: 2017-06-19 13:15 UTC (History)
7 users (show)

Fixed In Version: ceph-ansible-2.2.1-1.el7scon
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-19 13:15:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:1496 normal SHIPPED_LIVE ceph-installer, ceph-ansible, and ceph-iscsi-ansible update 2017-06-19 17:14:02 UTC

Description Rachana Patel 2016-07-08 22:34:11 UTC
Description of problem:
======================
Install ceph on node having OS ubuntu 14.04.


Actual results:
===============
TASK: [ceph.ceph-common | fail on unsupported distribution for red hat storage]  
is not giving any error or warning


Expected results:
=================
In case of unsupported OS either it should error out or should proceed with warning

Version:
========
ceph-ansible-1.0.5-23.el7scon.noarch
ceph-installer-1.0.12-3.el7scon.noarch

Comment 2 Tejas 2017-02-21 15:50:08 UTC
This BZ has been around for a long time.
Any chance we can get a fix for this?

Thanks,
Tejas

Comment 4 Ken Dreyer (Red Hat) 2017-03-03 17:02:17 UTC
We've dropped support for non-systemd distros (including Ubuntu 14.04) in the latest upstream versions of ceph-ansible (beyond 2.1.z). So the error will be "Systemd must be present" (from roles/ceph-common/tasks/checks/check_system.yml)

Comment 7 Tejas 2017-05-12 07:13:42 UTC
Verified on version:
ceph-ansible-2.2.4-1.el7scon.noarch

FAILED! => {"changed": false, "failed": true, "msg": "Systemd must be present"}

Comment 9 errata-xmlrpc 2017-06-19 13:15:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:1496


Note You need to log in before you can comment on or make changes to this bug.